# Class SAMTagUtil

java.lang.Object
htsjdk.samtools.SAMTagUtil

@Deprecated public class SAMTagUtil extends Object
Deprecated.
as of 11/2018, the functions in this class have been absorbed by the `SAMTag` enum.
Facility for converting between String and short representation of a SAM tag. short representation is used by HTSJDK internally and is much more efficient. Callers are encouraged to obtain the short value for a tag of interest once, and then use the SAMRecord attribute API that takes shorts rather than Strings. Tags that are defined by the SAM spec are included in the enum `SAMTag` along with their precomputed short tag.

## Field Summary

Fields
Modifier and Type
Field
Description
`final short`
`AM`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`AS`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`BC`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`BQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`BZ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CB`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CC`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CG`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CM`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CO`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CP`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CR`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CS`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CT`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`CY`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`E2`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`FI`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`FS`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`FT`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`FZ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`GC`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`GQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`GS`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`H0`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`H1`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`H2`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`HI`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`IH`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`LB`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`MC`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`MD`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`MF`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`MI`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`MQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`NH`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`NM`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`OC`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`OF`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`OP`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`OQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`OR`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`OX`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`PG`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`PQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`PT`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`PU`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`Q2`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`QT`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`QX`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`R2`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`RG`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`RT`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`RX`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`S2`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`SA`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`SM`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`SQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`TC`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`U2`
Deprecated.
use `SAMTag.getBinaryTag()` instead.
`final short`
`UQ`
Deprecated.
use `SAMTag.getBinaryTag()` instead.

## Constructor Summary

Constructors
Constructor
Description
`SAMTagUtil()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static SAMTagUtil`
`getSingleton()`
Deprecated.
use the static methods in `SAMTag` instead
`short`
`makeBinaryTag(String tag)`
Deprecated.
use `instead`
`String`
`makeStringTag(short tag)`
Deprecated.
use `SAMTag.makeStringTag(short)` instead

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AM

@Deprecated public final short AM
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### AS

@Deprecated public final short AS
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### BC

@Deprecated public final short BC
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### BQ

@Deprecated public final short BQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### BZ

@Deprecated public final short BZ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CB

@Deprecated public final short CB
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CC

@Deprecated public final short CC
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CG

@Deprecated public final short CG
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CM

@Deprecated public final short CM
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CO

@Deprecated public final short CO
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CP

@Deprecated public final short CP
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CQ

@Deprecated public final short CQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CR

@Deprecated public final short CR
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CS

@Deprecated public final short CS
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CT

@Deprecated public final short CT
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### CY

@Deprecated public final short CY
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### E2

@Deprecated public final short E2
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### FI

@Deprecated public final short FI
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### FS

@Deprecated public final short FS
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### FT

@Deprecated public final short FT
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### FZ

@Deprecated public final short FZ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### GC

@Deprecated public final short GC
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### GS

@Deprecated public final short GS
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### GQ

@Deprecated public final short GQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### LB

@Deprecated public final short LB
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### H0

@Deprecated public final short H0
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### H1

@Deprecated public final short H1
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### H2

@Deprecated public final short H2
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### HI

@Deprecated public final short HI
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### IH

@Deprecated public final short IH
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### MC

@Deprecated public final short MC
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### MF

@Deprecated public final short MF
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### MI

@Deprecated public final short MI
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### MD

@Deprecated public final short MD
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### MQ

@Deprecated public final short MQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### NH

@Deprecated public final short NH
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### NM

@Deprecated public final short NM
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### OQ

@Deprecated public final short OQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### OP

@Deprecated public final short OP
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### OC

@Deprecated public final short OC
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### OF

@Deprecated public final short OF
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### OR

@Deprecated public final short OR
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### OX

@Deprecated public final short OX
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### PG

@Deprecated public final short PG
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### PQ

@Deprecated public final short PQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### PT

@Deprecated public final short PT
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### PU

@Deprecated public final short PU
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### QT

@Deprecated public final short QT
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### Q2

@Deprecated public final short Q2
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### QX

@Deprecated public final short QX
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### R2

@Deprecated public final short R2
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### RG

@Deprecated public final short RG
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### RT

@Deprecated public final short RT
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### RX

@Deprecated public final short RX
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### S2

@Deprecated public final short S2
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### SA

@Deprecated public final short SA
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### SM

@Deprecated public final short SM
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### SQ

@Deprecated public final short SQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### TC

@Deprecated public final short TC
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### U2

@Deprecated public final short U2
Deprecated.
use `SAMTag.getBinaryTag()` instead.

### UQ

@Deprecated public final short UQ
Deprecated.
use `SAMTag.getBinaryTag()` instead.

## Constructor Details

### SAMTagUtil

public SAMTagUtil()
Deprecated.

## Method Details

### getSingleton

@Deprecated public static SAMTagUtil getSingleton()
Deprecated.
use the static methods in `SAMTag` instead
Despite the fact that this class has state, it should be thread-safe because the cache gets filled with the same values by any thread.

### makeBinaryTag

@Deprecated public short makeBinaryTag(String tag)
Deprecated.
use `instead`
Convert from String representation of tag name to short representation.

Parameters:
  `tag` - 2-character String representation of a tag name.
Returns:
  Tag name packed as 2 ASCII bytes in a short.

### makeStringTag

@Deprecated public String makeStringTag(short tag)
Deprecated.
use `SAMTag.makeStringTag(short)` instead
Convert from short representation of tag name to String representation.

Parameters:
  `tag` - Tag name packed as 2 ASCII bytes in a short.
Returns:
  2-character String representation of a tag name.